weka.gui

## Class SimpleCLIPanel.ClassRunner

- java.lang.Object
- - java.lang.Thread
  - - weka.gui.SimpleCLIPanel.ClassRunner

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    SimpleCLIPanel

      public static class SimpleCLIPanel.ClassRunner
      extends java.lang.Thread

  A class that handles running the main method of the class in a separate thread.
  Version:
    $Revision: 14863 $
  Author:
    Len Trigg (trigg@cs.waikato.ac.nz)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassRunner(SimpleCLIPanel owner, java.lang.Class<?> theClass, java.lang.String[] commandArgs)` Sets up the class runner thread.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()` Starts running the main method.

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassRunner

          public ClassRunner(SimpleCLIPanel owner,
                             java.lang.Class<?> theClass,
                             java.lang.String[] commandArgs)
                      throws java.lang.Exception

      Sets up the class runner thread.
      Parameters:
        `theClass` - the Class to call the main method of
        `commandArgs` - an array of Strings to use as command line args
      Throws:
        `java.lang.Exception` - if an error occurs

  - ### Method Detail

    - #### run

          public void run()

      Starts running the main method.
      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`